%define major 3
%define libname %mklibname sasl2_ %{major}
%define devname %mklibname sasl2 -d

%define sasl2_db_filename /var/lib/sasl2/sasl.db

%define KRB5 1
%define MYSQL 1
%define SRP 1
%define PGSQL 1
%define SQLITE3 1
%define LDAP 1
%define SRPSTR enabled
%define MYSQLSTR enabled
%define PGSQLSTR enabled
%define SQLITE3STR enabled
%define LDAPSTR enabled

%{?_with_krb5: %{expand: %%global KRB5 1}}
%{?_without_krb5: %{expand: %%global KRB5 0}}
%{?_with_srp: %{expand: %%global SRP 1}}
%{?_without_srp: %{expand: %%global SRP 0}}
%{?_with_mysql: %{expand: %%global MYSQL 1}}
%{?_without_mysql: %{expand: %%global MYSQL 0}}
%{?_with_pgsql: %{expand: %%global PGSQL 1}}
%{?_without_pgsql: %{expand: %%global PGSQL 0}}
%{?_with_sqlite3: %{expand: %%global SQLITE3 1}}
%{?_without_sqlite3: %{expand: %%global SQLITE3 0}}
%{?_with_ldap: %{expand: %%global LDAP 1}}
%{?_without_ldap: %{expand: %%global LDAP 0}}

%{?_with_srp: %{expand: %%global SRPSTR enabled}}
%{?_without_srp: %{expand: %%global SRPSTR disabled}}
%{?_with_mysql: %{expand: %%global MYSQLSTR enabled}}
%{?_without_mysql: %{expand: %%global MYSQLSTR disabled}}
%{?_with_pgsql: %{expand: %%global PGSQLSTR enabled}}
%{?_without_pgsql: %{expand: %%global PGSQLSTR disabled}}
%{?_with_sqlite3: %{expand: %%global SQLITE3STR enabled}}
%{?_without_sqlite3: %{expand: %%global SQLITE3STR disabled}}
%{?_with_ldap: %{expand: %%global LDAPSTR enabled}}
%{?_without_ldap: %{expand: %%global LDAPSTR disabled}}

# bootstrapping overrides the above LDAP defines
%{?bootstrap: %{expand: %%global LDAP 0}}
%{?bootstrap: %{expand: %%global LDAPSTR disabled}}

Summary:	The Simple Authentication and Security Layer
Name:		cyrus-sasl
Version:	2.1.27
Release:	%mkrel 9
License:	BSD-style
Group:		System/Libraries
URL:		https://www.cyrusimap.org/sasl/
Source0:	https://www.cyrusimap.org/releases/%{name}-%{version}.tar.gz
Source3:	saslauthd.sysconfig
Source4:	service.conf.example
Source5:	saslauthd.service
Source7:	sasl-mechlist.c
Patch0:		cyrus-sasl-doc.patch
Patch11:	cyrus-sasl-2.1.25-no_rpath.diff
Patch23:	cyrus-sasl-2.1.23-man.patch
Patch24:	cyrus-sasl-2.1.21-sizes.patch
Patch28:	cyrus-sasl-2.1.25-keytab.diff
Patch33:	0033-CVE-2019-19906.patch
Patch34:	0034-channel-binding-gssapi-gss-spnego.patch
Patch35:	0035-Add-support-for-setting-max-ssf-0-to-GSS-SPNEGO-1.patch
Patch36:	0035-Add-support-for-setting-max-ssf-0-to-GSS-SPNEGO-2.patch
Patch49:	cyrus-sasl-2.1.26-md5global.patch

Patch101:	cyrus-sasl-split-sql.patch
Patch103:	cyrus-sasl-parallel-make.patch
Patch104:	cyrus-sasl-ac-libs.patch
Patch107:	cyrus-sasl-2.1.26-no_version-info_for_plugins.diff
Patch108:	CVE-2022-24407.patch

Recommends:   %{_lib}sasl2-plug-plain
Recommends:   %{_lib}sasl2-plug-login
Recommends:   %{_lib}sasl2-plug-anonymous
Requires:	%{libname} >= %{version}
Requires(post):	rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1
BuildRequires:	db-devel
BuildRequires:	pam-devel
BuildRequires:	pkgconfig(openssl)
BuildRequires:	groff-for-man
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
# 1.4.x is thread safe, which means we can disable sasl mutexes (see ./configure
# further below)
%if %{KRB5}
BuildRequires:	pkgconfig(krb5) >= 1.4.1
%endif
%if %{MYSQL}
BuildRequires:	mysql-devel
%endif
%if %{PGSQL}
BuildRequires:	postgresql-devel
%endif
%if %{SQLITE3}
BuildRequires:	pkgconfig(sqlite3)
%endif
%if %{LDAP}
BuildRequires:	openldap-devel
%endif

%description
SASL is the Simple Authentication and Security Layer,
a method for adding authentication support to connection-based protocols.
To use SASL, a protocol includes a command for identifying and authenticating
a user to a server and for optionally negotiating protection of subsequent
protocol interactions. If its use is negotiated, a security layer is inserted
between the protocol and the connection.
To actually use SASL you must install at least one of the %{_lib}sasl2-plug-XXXX
authentication plugin, such as %{_lib}sasl2-plug-plain.
The SQL auxprop plugin can be rebuild with different database backends:
	--with srp	SRP support	(%{SRPSTR})
	--with mysql	MySQL support	(%{MYSQLSTR})
	--with pgsql	Postgres SQL support	(%{PGSQLSTR})
	--with sqlite3	SQLite v3 support	(%{SQLITE3STR})

%package -n	%{libname}
Summary:	Libraries for SASL a the Simple Authentication and Security Layer
Group:		System/Libraries
Obsoletes:	%{_lib}sasl3 < 2.1.26-2

%description -n	%{libname}
SASL is the Simple Authentication and Security Layer,
a method for adding authentication support to connection-based protocols.
To use SASL, a protocol includes a command for identifying and authenticating
a user to a server and for optionally negotiating protection of subsequent
protocol interactions. If its use is negotiated, a security layer is inserted
between the protocol and the connection.

%package -n	%{devname}
Summary:	Libraries for SASL a the Simple Authentication and Security Layer
Group:		Development/C
Provides:	libsasl-devel = %{version}-%{release}
Provides:	libsasl2-devel = %{version}-%{release}
Provides:	cyrus-sasl-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	pam-devel
Obsoletes:	%{_lib}sasl3-devel < 2.1.26-2

%description -n	%{devname}
SASL is the Simple Authentication and Security Layer,
a method for adding authentication support to connection-based protocols.
To use SASL, a protocol includes a command for identifying and authenticating
a user to a server and for optionally negotiating protection of subsequent
protocol interactions. If its use is negotiated, a security layer is inserted
between the protocol and the connection.

%package -n	%{_lib}sasl2-plug-anonymous
Summary:	SASL ANONYMOUS mechanism plugin
Group:		System/Libraries
Requires:	%{libname} >= %{version}
Provides:	sasl-plug-anonymous
Obsoletes:	%{_lib}sasl3-plug-anonymous < 2.1.26-2

%description -n	%{_lib}sasl2-plug-anonymous
This plugin implements the SASL ANONYMOUS mechanism,
used for anonymous authentication.

%package -n	%{_lib}sasl2-plug-crammd5
Summary:	SASL CRAM-MD5 mechanism plugin
Group:		System/Libraries
Requires:	%{libname} >= %{version}
Provides:	sasl-plug-crammd5
Obsoletes:	%{_lib}sasl3-plug-crammd5 < 2.1.26-2

%description -n	%{_lib}sasl2-plug-crammd5
This plugin implements the SASL CRAM-MD5 mechanism.
CRAM-MD5 is the mandatory-to-implement authentication mechanism for a
number of protocols; it uses MD5 with a challenge/response system to
authenticate the user.

%package -n	%{_lib}sasl2-plug-digestmd5
Summary:	SASL DIGEST-MD5 mechanism plugin
Group:		System/Libraries
Requires:	%{libname} >= %{version}
Provides:	sasl-plug-digestmd5
Obsoletes:	%{_lib}sasl3-plug-digestmd5 < 2.1.26-2

%description -n	%{_lib}sasl2-plug-digestmd5
This plugin implements the latest draft of the SASL DIGEST-MD5
mechanism.  Although not yet finalized, this is likely to become the
new mandatory-to-implement authentication system in all new protocols.
It's based on the digest md5 authentication system designed for HTTP.

%package -n	%{_lib}sasl2-plug-plain
Summary:	SASL PLAIN mechanism plugin
Group:		System/Libraries
Requires:	%{libname} >= %{version}
Provides:	sasl-plug-plain
Obsoletes:	%{_lib}sasl3-plug-plain < 2.1.26-2

%description -n	%{_lib}sasl2-plug-plain
This plugin implements the SASL PLAIN mechanism.  Although insecure,
PLAIN is useful for transitioning to new security mechanisms, as this
is the only mechanism which gives the server a copy of the user's
password.

%package -n 	%{_lib}sasl2-plug-scram
Summary:	SASL SCRAM-SHA-1 mechanism plugin
Group:		System/Libraries
Requires:	%{libname} = %{version}
Provides:	sasl-plug-scram
Obsoletes:	%{_lib}sasl3-plug-scram < 2.1.26-2

%description -n	%{_lib}sasl2-plug-scram
This plugin implements the SASL SCRAM-SHA-1 SASL plugin mechanism.

%package -n	%{_lib}sasl2-plug-login
Summary:	SASL LOGIN mechanism plugin
Group:		System/Libraries
Requires:	%{libname} >= %{version}
Provides:	sasl-plug-login
Obsoletes:	%{_lib}sasl3-plug-login < 2.1.26-2

%description -n	%{_lib}sasl2-plug-login
This plugin implements the SASL LOGIN mechanism.
THIS PLUGIN IS DEPRECATED, is maintained only for compatibility reasons
and will be dropped soon.
Please use the plain plugin instead.

%if %{KRB5}
%package -n	%{_lib}sasl2-plug-gssapi
Summary:	SASL GSSAPI mechanism plugin
Group:		System/Libraries
Requires:	%{libname} >= %{version}
Requires:	krb5-libs
Provides:	sasl-plug-gssapi
Obsoletes:	%{_lib}sasl3-plug-gssapi < 2.1.26-2

%description -n	%{_lib}sasl2-plug-gssapi
This plugin implements the SASL GSSAPI (kerberos 5)mechanism.
%endif

%package -n	%{_lib}sasl2-plug-otp
Summary:	SASL OTP mechanism plugin
Group:		System/Libraries
Requires:	%{libname} >= %{version}
Provides:	sasl-plug-otp
Obsoletes:	%{_lib}sasl3-plug-otp < 2.1.26-2

%description -n	%{_lib}sasl2-plug-otp
This plugin implements the SASL OTP mechanism.

%package -n	%{_lib}sasl2-plug-sasldb
Summary:	SASL sasldb auxprop plugin
Group:		System/Libraries
# Requirement for %%{name} is due to dbconverter-2 being
# potentially called in %%post
Requires(post):	%{name} >= %{version}
# That requirement has to be here (in "Requires") also
# (http://archives.mandrivalinux.com/cooker/2005-06/msg00109.php)
Requires:	%{libname} >= %{version}, %{name} >= %{version}
Provides:	sasl-plug-sasldb
Obsoletes:	%{_lib}sasl3-plug-sasldb < 2.1.26-2

%description -n	%{_lib}sasl2-plug-sasldb
This package provides the SASL sasldb auxprop plugin, which stores secrets
in a Berkeley database file.

%if %{SRP}
%package -n	%{_lib}sasl2-plug-srp
Summary:	SASL srp mechanism plugin
Group:		System/Libraries
Requires:	%{libname} >= %{version}
Provides:	sasl-plug-srp
Obsoletes:	%{_lib}sasl3-plug-srp < 2.1.26-2

%description -n	%{_lib}sasl2-plug-srp
This plugin implements the srp  mechanism.
%endif

%package -n	%{_lib}sasl2-plug-ntlm
Summary:	SASL ntlm authentication plugin
Group:		System/Libraries
Requires:	%{libname} >= %{version}
Provides:	sasl-plug-ntlm
Obsoletes:	%{_lib}sasl3-plug-ntlm < 2.1.26-2

%description -n	%{_lib}sasl2-plug-ntlm
This plugin implements the (unsupported) ntlm authentication.

%if %{MYSQL}
%package -n	%{_lib}sasl2-plug-mysql
Summary:	SASL MySQL plugin
Group:		System/Libraries
Requires:	%{libname} >= %{version}
Provides:	sasl-plug-sql
Obsoletes:	%{_lib}sasl3-plug-mysql < 2.1.26-2

%description -n	%{_lib}sasl2-plug-mysql
This plugin implements the MySQL authentication method
%endif

%if %{PGSQL}
%package -n	%{_lib}sasl2-plug-pgsql
Summary:	SASL PostgreSQL plugin
Group:		System/Libraries
Requires:	%{libname} >= %{version}
Provides:	sasl-plug-sql
Obsoletes:	%{_lib}sasl3-plug-pgsql < 2.1.26-2

%description -n	%{_lib}sasl2-plug-pgsql
This plugin implements the PostgreSQL authentication method
%endif

%if %{SQLITE3}
%package -n	%{_lib}sasl2-plug-sqlite3
Summary:	SASL SQLite v3 plugin
Group:		System/Libraries
Requires:	%{libname} >= %{version}
Provides:	sasl-plug-sql
Obsoletes:	%{_lib}sasl3-plug-sqlite3 < 2.1.26-2

%description -n	%{_lib}sasl2-plug-sqlite3
This plugin implements the SQLite v3 authentication method
%endif

%if %{LDAP}
%package -n	%{_lib}sasl2-plug-ldapdb
Summary:	SASL ldapdb auxprop plugin
Group:		System/Libraries
Requires:	%{libname} >= %{version}
Provides:	sasl-plug-ldapdb
Obsoletes:	%{_lib}sasl3-plug-ldapdb < 2.1.26-2

%description -n	%{_lib}sasl2-plug-ldapdb
This plugin implements the LDAP auxprop authentication method.
%endif

%prep
%setup -q
install -m 0644 %{SOURCE4} .
%patch -P 0 -p1 -b .sasldoc~

%patch -P 11 -p0 -b .no_rpath~
%patch -P 23 -p1 -b .man~
%patch -P 24 -p1 -b .sizes
%patch -P 33 -p1 -b .CVE-2019-19906
%patch -P 34 -p1
%patch -P 35 -p1
%patch -P 36 -p1
%patch -P 49 -p1 -b .md5global.h

%patch -P 101 -p1
%patch -P 103 -p1
%patch -P 104 -p1
%patch -P 107 -p0
%patch -P 108 -p1

cp %{SOURCE7} sasl-mechlist.c

%build
autoreconf -vfi
%serverbuild

%configure 	\
    --disable-static \
    --with-plugindir=%{_libdir}/sasl2 \
    --with-configdir=%{_sysconfdir}/sasl2:%{_libdir}/sasl2 \
    --disable-krb4 \
    --enable-login \
    --enable-alwaystrue \
%if %{SRP}
    --enable-srp --enable-srp-setpass \
%else
    --without-srp --without-srp-srp-setpass \
%endif
    --enable-ntlm \
    --enable-db4 \
    --enable-gssapi \
    --disable-gss_mutexes \
%if %{MYSQL}
    --enable-sql --with-mysql=%{_libdir} \
%else
    --without-mysql \
%endif
%if %{PGSQL}
    --enable-sql --with-pgsql=%{_libdir} \
%else
    --without-pgsql \
%endif
%if %{SQLITE3}
    --enable-sql --with-sqlite3=%{_prefix} \
%else
    --without-sqlite \
%endif
%if %{LDAP}
    --with-ldap=%{_prefix} --enable-ldapdb \
%endif
    --with-dbpath=%{sasl2_db_filename} \
    --with-bdb=db \
    --with-saslauthd=/run/saslauthd \
    --with-authdaemond=/run/authdaemon.courier-imap/socket \
    --with-devrandom=/dev/urandom

%make_build
%make_build -C saslauthd testsaslauthd
%make_build -C sample

install saslauthd/LDAP_SASLAUTHD README.ldap

# Build a small program to list the available mechanisms, because I need it.
pushd lib
    ../libtool --mode=link %{__cc} -o sasl2-shared-mechlist \
	-I../include $CFLAGS ../sasl-mechlist.c $LDFLAGS ./libsasl2.la
popd

%install
mkdir -p %{buildroot}/var/lib/sasl2
mkdir -p %{buildroot}%{_sysconfdir}/sasl2

%make_install

install -m 644 %{SOURCE5} -D %{buildroot}%{_unitdir}/saslauthd.service
install -m 644 %{SOURCE3} -D %{buildroot}%{_sysconfdir}/sysconfig/saslauthd

# we don't need these
find %{buildroot} -name *.la -delete

# dbconverter-2 isn't installed by make install

cd utils
/bin/sh ../libtool --mode=install /usr/bin/install -c dbconverter-2 \
  %{buildroot}/%{_sbindir}/dbconverter-2

cd ..
cp saslauthd/testsaslauthd %{buildroot}%{_sbindir}
cd sample
/bin/sh ../libtool --mode=install /usr/bin/install -c client \
  %{buildroot}/%{_sbindir}/sasl-sample-client
/bin/sh ../libtool --mode=install /usr/bin/install -c server \
  %{buildroot}/%{_sbindir}/sasl-sample-server
cd ..

# multiarch policy
%multiarch_includes %{buildroot}%{_includedir}/sasl/md5global.h

# quick README about the sasl.db file permissions
cat > README.Mageia.sasldb <<EOF
A system group called "sasl" is created and an empty %{sasl2_db_filename}
file with the following permissions: mode 0640, ownership root:sasl is
created by default.

If the %{sasl2_db_filename} file already exists, it is not changed
in any way.

It is recommended that administrators keep these permissions and add
application users to the "sasl" group if access to this database is needed.

For example, to permit the Postfix SMTP to authenticate users via the sasldb
auxprop plugin, add the "postfix" user to the "sasl" group and read the
"SMTP Authentication" section of the README.mga documentation file for
details regarding Postfix's chroot setup.

For other applications in general, just add their user to the "sasl" group.
EOF

# This is just to "close" vim's syntax misinterpretation.. ;p

# Provide an easy way to query the list of available mechanisms.
./libtool --mode=install install -m0755 lib/sasl2-shared-mechlist %{buildroot}%{_sbindir}/

%pre -n %{_lib}sasl2-plug-sasldb
%_pre_groupadd sasl

%post -n %{_lib}sasl2-plug-sasldb
#convert old sasldb
# XXX - what about berkeley db versions? - andreas
if [ -f /var/lib/sasl/sasl.db -a ! -f %{sasl2_db_filename} ]; then
	echo "" | /usr/sbin/dbconverter-2 /var/lib/sasl/sasl.db %{sasl2_db_filename}
	if [ -f %{sasl2_db_filename} ]; then
		# conversion was successfull
		chmod 0640 %{sasl2_db_filename}
		chown root:sasl %{sasl2_db_filename}
	fi
fi
if [ -f /var/lib/sasl/sasl.db.rpmsave -a ! -f %{sasl2_db_filename} ]; then
	echo "" | /usr/sbin/dbconverter-2 /var/lib/sasl/sasl.db.rpmsave %{sasl2_db_filename}
	if [ -f %{sasl2_db_filename} ]; then
		# conversion was successfull
		chmod 0640 %{sasl2_db_filename}
		chown root:sasl %{sasl2_db_filename}
	fi
fi
if [ ! -f %{sasl2_db_filename} ]; then
	# the file was never created before nor converted from sasl1
	touch %{sasl2_db_filename}
	chmod 0640 %{sasl2_db_filename}
	chown root:sasl %{sasl2_db_filename}
fi

%post
%_post_service saslauthd

%preun
%_preun_service saslauthd

%files
%doc COPYING AUTHORS INSTALL ChangeLog
%doc doc/html/
%doc service.conf.example
%dir /var/lib/sasl2
%{_unitdir}/saslauthd.service
%dir %{_sysconfdir}/sasl2
%config(noreplace) %{_sysconfdir}/sysconfig/saslauthd
%{_sbindir}/dbconverter-2
%{_sbindir}/pluginviewer
%{_sbindir}/sasl-sample-client
%{_sbindir}/sasl-sample-server
%{_sbindir}/saslauthd
%{_sbindir}/sasldblistusers2
%{_sbindir}/saslpasswd2
%{_sbindir}/testsaslauthd
%{_mandir}/man8/*

%files -n %{libname}
%dir %{_libdir}/sasl2
%{_libdir}/libsasl*.so.%{major}{,.*}

%files -n %{_lib}sasl2-plug-anonymous
%{_libdir}/sasl2/libanonymous.so

%files -n %{_lib}sasl2-plug-otp
%{_libdir}/sasl2/libotp.so

%files -n %{_lib}sasl2-plug-scram
%{_libdir}/sasl2/libscram.so

%files -n %{_lib}sasl2-plug-crammd5
%{_libdir}/sasl2/libcrammd5.so

%files -n %{_lib}sasl2-plug-sasldb
%doc README.Mageia.sasldb
%{_libdir}/sasl2/libsasldb.so

%if %{KRB5}
%files -n %{_lib}sasl2-plug-gssapi
%{_libdir}/sasl2/libgs2.so
%{_libdir}/sasl2/libgssapiv2.so
%endif

%files -n %{_lib}sasl2-plug-digestmd5
%{_libdir}/sasl2/libdigestmd5.so

%files -n %{_lib}sasl2-plug-plain
%{_libdir}/sasl2/libplain.so

%files -n %{_lib}sasl2-plug-login
%{_libdir}/sasl2/liblogin.so

%if %{SRP}
%files -n %{_lib}sasl2-plug-srp
%{_libdir}/sasl2/libsrp.so
%endif

%files -n %{_lib}sasl2-plug-ntlm
%{_libdir}/sasl2/libntlm.so

%if %{MYSQL}
%files -n %{_lib}sasl2-plug-mysql
%{_libdir}/sasl2/libmysql.so
%endif

%if %{PGSQL}
%files -n %{_lib}sasl2-plug-pgsql
%{_libdir}/sasl2/libpgsql.so
%endif

%if %{SQLITE3}
%files -n %{_lib}sasl2-plug-sqlite3
%{_libdir}/sasl2/libsqlite3.so
%endif

%if %{LDAP}
%files -n %{_lib}sasl2-plug-ldapdb
%{_libdir}/sasl2/libldapdb.so
%endif

%files -n %{devname}
%{_sbindir}/sasl2-shared-mechlist
%{_includedir}/sasl
%{multiarch_includedir}/sasl/md5global.h
%{_libdir}/*.*so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/*


%changelog
* Sat Dec 21 2024 pterjan <pterjan> 2.1.27-9.mga10
+ Revision: 2127220
- Rebuild for patchN deprecation

* Sat Apr 06 2024 wally <wally> 2.1.27-8.mga10
+ Revision: 2055100
- sasl-mechlist.c: cast function pointer to the expected type to fix build with gcc>=14
- basesystem rebuild for i686

* Fri Oct 21 2022 luigiwalser <luigiwalser> 2.1.27-7.mga9
+ Revision: 1898284
- add patches from ubuntu to support new windows server gssapi spnego requirements

* Mon Mar 28 2022 umeabot <umeabot> 2.1.27-6.mga9
+ Revision: 1830755
- Mageia 9 Mass Rebuild

* Thu Feb 24 2022 ns80 <ns80> 2.1.27-5.mga9
+ Revision: 1784109
- add upstream patch for CVE-2022-24407 (mga#30085)

* Sat Oct 02 2021 wally <wally> 2.1.27-4.mga9
+ Revision: 1747644
- rebuild for openssl 3.0.0

* Tue Feb 18 2020 umeabot <umeabot> 2.1.27-3.mga8
+ Revision: 1541130
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Dec 21 2019 daviddavid <daviddavid> 2.1.27-2.mga8
+ Revision: 1469243
- add patch to fix CVE-2019-19906 (mga#25914)

* Mon Jan 14 2019 luigiwalser <luigiwalser> 2.1.27-1.mga7
+ Revision: 1356699
- 2.1.27
- update URLs
- replace patch X with rediffed fedora patch 24
- rediff patches 0, 11, 23, 101, 103, 104, 107
- remove no longer used sasl-checkpass
- remove patches 1-6,31,32,34,43-46,48,100,102,105,106 (fixed upstream)
- add patch 49 from fedora

* Sun Sep 23 2018 umeabot <umeabot> 2.1.26-16.mga7
+ Revision: 1297393
- Mageia 7 Mass Rebuild

* Sun Feb 04 2018 tv <tv> 2.1.26-15.mga7
+ Revision: 1198894
- provides cyrus-sasl-devel

* Sat Dec 23 2017 wally <wally> 2.1.26-14.mga7
+ Revision: 1184224
- rebuild for new mariadb

* Sat Sep 09 2017 cjw <cjw> 2.1.26-13.mga7
+ Revision: 1152293
- adapt three upstream commits to fix build with openssl 1.1

* Thu Feb 11 2016 umeabot <umeabot> 2.1.26-12.mga6
+ Revision: 953655
- Mageia 6 Mass Rebuild

* Fri Aug 21 2015 tmb <tmb> 2.1.26-11.mga6
+ Revision: 867708
- rebuild for new gcc

* Mon Feb 16 2015 luigiwalser <luigiwalser> 2.1.26-10.mga5
+ Revision: 814995
- BR groff-for-man for nroff

* Tue Nov 25 2014 cjw <cjw> 2.1.26-9.mga5
+ Revision: 798936
- rebuild against postgresql9.4

* Wed Oct 15 2014 umeabot <umeabot> 2.1.26-8.mga5
+ Revision: 741454
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 2.1.26-7.mga5
+ Revision: 693721
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 2.1.26-6.mga5
+ Revision: 678660
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Sun Apr 27 2014 blino <blino> 2.1.26-5.mga5
+ Revision: 618444
- fix no_rpath patch (bnc#827230)

* Mon Oct 21 2013 umeabot <umeabot> 2.1.26-4.mga4
+ Revision: 538289
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 guillomovitch <guillomovitch> 2.1.26-3.mga4
+ Revision: 489219
- add soft dependencies on basic plugins (fix #8646)

* Sat Aug 31 2013 wally <wally> 2.1.26-2.mga4
+ Revision: 473690
- fix plugin pkg names
- rename devel and lib pkg

* Tue Aug 27 2013 luigiwalser <luigiwalser> 2.1.26-1.mga4
+ Revision: 472063
- 2.1.26
- library major is now 3
- remove no longer needed patches 7, 30, 33, 37, 108
- rediff patches 101, 104, 105, 107
- add patch from fedora to fix compiler warnings
- add patch from fedora to fix null deref with glibc 2.17
- add patch from fedora to release server creds no longer needed
- add patch from fedora to fix build with automake 1.13
- add patch from fedora to fix unknown type size_t
- add patch from fedora to fix custom keytabs being ignored (replace patch 28)
- fix paths for sql plugins and remove tag=CC from libtool calls (from fedora)
- fix include path for mysql.h

* Thu May 09 2013 colin <colin> 2.1.25-12.mga3
+ Revision: 412776
- Drop bind mounting for postfix. It seems postfix does this in it's initscript

* Thu Mar 21 2013 guillomovitch <guillomovitch> 2.1.25-11.mga3
+ Revision: 404213
- simpler postfix chroot handling in service file
- fix simple authentication (https://bugzilla.cyrusimap.org/show_bug.cgi?id=3590)

* Sun Jan 20 2013 colin <colin> 2.1.25-10.mga3
+ Revision: 390025
- Fix postfix chroot socket linkage

* Fri Jan 11 2013 umeabot <umeabot> 2.1.25-9.mga3
+ Revision: 348532
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 26 2012 guillomovitch <guillomovitch> 2.1.25-8.mga3
+ Revision: 335352
- enable alwaystrue authentication methode (#8389)

* Thu Aug 09 2012 tv <tv> 2.1.25-7.mga3
+ Revision: 280296
- drop sysv service

* Mon Jul 30 2012 tv <tv> 2.1.25-6.mga3
+ Revision: 276250
- rebuild for db-5.3

* Sun Jul 22 2012 luigiwalser <luigiwalser> 2.1.25-5.mga3
+ Revision: 273577
- 2.1.25 (sync with mdv)

* Sat Apr 28 2012 tmb <tmb> 2.1.23-19.mga2
+ Revision: 233658
- Require rpm-helper >= 0.24.8-1 for systemd support

* Sat Apr 28 2012 tmb <tmb> 2.1.23-18.mga2
+ Revision: 233557
- rebuild for versioned rpm-helper requires

* Sat Apr 21 2012 colin <colin> 2.1.23-17.mga2
+ Revision: 232302
- Fix systemd unit for our sysconfig file format.
- Fix pid file location in systemd unit.

* Wed Apr 18 2012 guillomovitch <guillomovitch> 2.1.23-16.mga2
+ Revision: 231343
- spec cleanup
- systemd support

* Tue Nov 22 2011 fwang <fwang> 2.1.23-15.mga2
+ Revision: 170835
- update file list
- drop .la files

* Thu Mar 24 2011 dmorgan <dmorgan> 2.1.23-14.mga1
+ Revision: 76757
- Rebuild against new mysql

* Fri Jan 14 2011 ahmad <ahmad> 2.1.23-13.mga1
+ Revision: 17648
- reenable mysql support

* Wed Jan 12 2011 ahmad <ahmad> 2.1.23-12.mga1
+ Revision: 7595
- rename and edit the readme.* file to adapt to Mageia
- disable mysql (not available yet)
- imported package cyrus-sasl

